﻿@page
@model Vinoramix.Web.Wines.DeleteModel

@{
    ViewData["Title"] = "Delete";
}

<h1>Delete</h1>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>Wine</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Wine.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Wine.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Wine.Description)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Wine.Description)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Wine.Vintage)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Wine.Vintage)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Wine.GrapeVariety)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Wine.GrapeVariety)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Wine.VineyardName)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Wine.VineyardName)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Wine.Price)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Wine.Price)
        </dd>
    </dl>
    
    <form method="post">
        <input type="hidden" asp-for="Wine.Id" />
        <input type="submit" value="Delete" class="btn btn-danger" /> |
        <a asp-page="./Index">Back to List</a>
    </form>
</div>
